Bug 1391031 - Compute and controller nodes are not reachable after reboot when OVS bridges are set to secure fail mode
Summary: Compute and controller nodes are not reachable after reboot when OVS bridges ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Brent Eagles
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1386299 1394890 1394894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-02 12:37 UTC by Jaromir Coufal
Modified: 2018-01-29 13:09 UTC (History)
42 users (show)

Fixed In Version: os-net-config-5.0.0-3.el7ost
Doc Type: Bug Fix
Doc Text:
Prior to this update, improvements in the integration between Open vSwitch and neutron could cause issues with the resumption of connectivity after a restart. Consequently, nodes could become unreachable or have reduced connectivity. With this update, `os-net-config` configures `fail_mode=standalone` by default to allow network traffic if no controlling agent has started yet. As a result, the connection issues on reboot have been resolved.
Clone Of: 1386299
Environment:
Last Closed: 2016-12-14 16:28:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 398242 None None None 2016-11-16 10:38:32 UTC
OpenStack gerrit 398245 None None None 2016-11-16 10:39:30 UTC
Launchpad 1640812 None None None 2016-11-14 11:57:44 UTC

Comment 1 Jaromir Coufal 2016-11-02 14:08:24 UTC
This bug is only for increasing visibility into OSP10 blocking issues. Real bug is in the "depends on".

Comment 3 Jaromir Coufal 2016-11-08 19:52:18 UTC
Removing the Lifecycle tag since it was impacting the statistics.

Comment 8 Marios Andreou 2016-11-16 10:39:30 UTC
The fix from beagles @ https://review.openstack.org/#/c/397405/ and its dependency https://review.openstack.org/#/c/395795/ have just landed and have been cherrypicked to stable/newton (trackers updated).

Comment 22 errata-xmlrpc 2016-12-14 16:28:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.